# Uses of Interface
org.eclipse.emf.compare.FeatureMapChange

Packages that use FeatureMapChange
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.equi
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.internal.utils
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl
org.eclipse.emf.compare.util

## Uses of FeatureMapChange in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return FeatureMapChange
Modifier and Type
Method
Description
`FeatureMapChange`
CompareFactory.`createFeatureMapChange()`
Returns a new object of class 'Feature Map Change'.

## Uses of FeatureMapChange in org.eclipse.emf.compare.conflict

Methods in org.eclipse.emf.compare.conflict with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`checkContainmentFeatureMapConflict(Comparison comparison, FeatureMapChange diff, Iterable<FeatureMapChange> candidates)`
This will be called once for each FeatureMapChange on containment values in the comparison model.
`protected void`
DefaultConflictDetector.`checkContainmentFeatureMapConflict(Comparison comparison, FeatureMapChange diff, FeatureMapChange candidate)`
For each couple of diffs on the same value in which one is a containment feature map change, we will call this in order to check for possible conflicts.
Method parameters in org.eclipse.emf.compare.conflict with type arguments of type FeatureMapChange
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`checkContainmentFeatureMapConflict(Comparison comparison, FeatureMapChange diff, Iterable<FeatureMapChange> candidates)`
This will be called once for each FeatureMapChange on containment values in the comparison model.

## Uses of FeatureMapChange in org.eclipse.emf.compare.equi

Methods in org.eclipse.emf.compare.equi with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`protected void`
DefaultEquiEngine.`checkForEquivalences(Comparison comparison, FeatureMapChange featureMapChange)`
Checks the potential equivalence from the given `difference`.

## Uses of FeatureMapChange in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement FeatureMapChange
Modifier and Type
Class
Description
`class`
`FeatureMapChangeImpl`
An implementation of the model object 'Feature Map Change'.
Methods in org.eclipse.emf.compare.impl that return FeatureMapChange
Modifier and Type
Method
Description
`FeatureMapChange`
CompareFactoryImpl.`createFeatureMapChange()`

## Uses of FeatureMapChange in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`AbstractConflictSearch<? extends Diff>`
ConflictSearchFactory.`caseFeatureMapChange(FeatureMapChange diff)`
Constructors in org.eclipse.emf.compare.internal.conflict with parameters of type FeatureMapChange
Modifier
Constructor
Description
``
`Add(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.

## Uses of FeatureMapChange in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement FeatureMapChange
Modifier and Type
Class
Description
`class`
`FeatureMapChangeSpec`
This specialization of the `FeatureMapChangeImpl` class allows us to define the derived features and operations implementations.

## Uses of FeatureMapChange in org.eclipse.emf.compare.internal.utils

Methods in org.eclipse.emf.compare.internal.utils with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`static EObject`
ComparisonUtil.`moveElementGetExpectedContainer(Comparison comparison, FeatureMapChange diff, boolean rightToLeft)`
Get the expected target container in case of a move.

## Uses of FeatureMapChange in org.eclipse.emf.compare.merge

Methods in org.eclipse.emf.compare.merge with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`protected void`
FeatureMapChangeMerger.`addInTarget(FeatureMapChange diff, boolean rightToLeft)`
This will be called when we need to create an element in the target side.
`protected void`
FeatureMapChangeMerger.`changeValue(FeatureMapChange diff, boolean rightToLeft)`
This will be called by the merge operations in order to change a key.
`protected void`
FeatureMapChangeMerger.`doMove(FeatureMapChange diff, Comparison comparison, EObject expectedContainer, FeatureMap.Entry expectedValue, boolean rightToLeft)`
This will do the actual work of moving the element into its attribute.
`protected void`
FeatureMapChangeMerger.`moveElement(FeatureMapChange diff, boolean rightToLeft)`
This will be called when trying to copy a "MOVE" diff.
`protected void`
FeatureMapChangeMerger.`removeFromTarget(FeatureMapChange diff, boolean rightToLeft)`
This will be called when we need to remove an element from the target side.

## Uses of FeatureMapChange in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`protected String`
FeatureMapChangeItemProviderSpec.`getFeatureMapText(FeatureMapChange featureMapChange)`
Returns the name of the feature map linked to the given `FeatureMapChange`.
`protected String`
FeatureMapChangeItemProviderSpec.`getValueText(FeatureMapChange featureMapChange)`
Converts to text the given `FeatureMapChange`.

## Uses of FeatureMapChange in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl that return FeatureMapChange
Modifier and Type
Method
Description
`FeatureMapChange`
FeatureMapKeyChangeAccessorImpl.`getFeatureMapChange()`
Returns the `FeatureMapChange` diff associated with this accessor.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl with parameters of type FeatureMapChange
Modifier
Constructor
Description
``
`FeatureMapKeyChangeAccessorImpl(AdapterFactory adapterFactory, FeatureMapChange diff, IMergeViewer.MergeViewerSide side)`
Default constructor.

## Uses of FeatureMapChange in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type FeatureMapChange
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseFeatureMapChange(FeatureMapChange object)`
Returns the result of interpreting the object as an instance of 'Feature Map Change'.